petsc-3.7.1 2016-05-15
Report Typos and Errors

# DMForestSetTopology

Set the topology of a DMForest during the pre-setup phase. The topology is a string (e.g. "cube", "shell") and can be interpreted by subtypes of DMFOREST) to construct the base DM of a forest durint DMSetUp().

### Synopsis

    #include "petscdmforest.h"
    #include "petscdm.h"
    PetscErrorCode DMForestSetTopology(DM dm, DMForestTopology topology)

Logically collective on dm Many br

### Input parameters

| dm | - the forest Many br
| topology | - the topology of the forest Many br

Many br

### See Also

): DMForestGetTopology(), DMForestSetBaseDM()

Level:intermediate
Location:src/dm/impls/forest/forest.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages